Bug 1019772 - Review Request: gnome-directory-thumbnailer - Thumbnailer for directories
Review Request: gnome-directory-thumbnailer - Thumbnailer for directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 07:32 EDT by Yanko Kaneti
Modified: 2013-10-25 10:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 10:00:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pikachu.2014: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2013-10-16 07:32:38 EDT
Spec URL: http://declera.com/~yaneti/gnome-directory-thumbnailer/gnome-directory-thumbnailer.spec
SRPM URL: http://declera.com/~yaneti/gnome-directory-thumbnailer/gnome-directory-thumbnailer-0.1.0-1.fc21.src.rpm
Description: Thumbnailer for directories based on some heuristics
Fedora Account System Username: yaneti

gnome-directory-thumbnailer.x86_64: W: no-manual-page-for-binary gnome-directory-thumbnailer
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Mohamed El Morabity 2013-10-16 09:12:03 EDT
Hi,

some comments:
- gnome-directory-thumbnailer has a GNOME wiki page at https://wiki.gnome.org/GnomeDirectoryThumbnailer; you should use it as URL, instead of using the GIT one.
- it is recommended to use complete sentences for package descriptions. With a final dot ;).

Otherwise the package looks quite good. The review will follow.
Comment 2 Yanko Kaneti 2013-10-16 09:30:25 EDT
Thanks

0.1.0-2
- Change url

Spec URL: http://declera.com/~yaneti/gnome-directory-thumbnailer/gnome-directory-thumbnailer.spec
SRPM URL: http://declera.com/~yaneti/gnome-directory-thumbnailer/gnome-directory-thumbnailer-0.1.0-2.fc21.src.rpm

I've also put a final dot. The sentence sounds complete to me. If you have another suggestion I'll be happy to change it.
Comment 3 Mohamed El Morabity 2013-10-23 08:57:15 EDT
(In reply to Yanko Kaneti from comment #2)
> I've also put a final dot. The sentence sounds complete to me. If you have
> another suggestion I'll be happy to change it.
I was think about a description like the one on the GNOME wiki: "gnome-directory-thumbnailer is a GNOME thumbnailer utility which will generate a thumbnail for a directory.". It's just a detail anyway ;).

Here is (at last!) the review:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /tmp/1019772-gnome-directory-
     thumbnailer/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/thumbnailers(libgsf)
	 >>> it's OK here, see https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function
[?]: %build honors applicable compiler flags or justifies otherwise.
	 >>> You should add the --disable-silent-rules to %configure, to make gcc calls more "verbose"
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     >>> OK, see http://koji.fedoraproject.org/koji/taskinfo?taskID=6090072
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
	 >>> OK, see http://koji.fedoraproject.org/koji/taskinfo?taskID=6090072
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
     >>> OK, see http://koji.fedoraproject.org/koji/taskinfo?taskID=6090072
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gnome-directory-thumbnailer-0.1.0-2.fc20.x86_64.rpm
          gnome-directory-thumbnailer-0.1.0-2.fc20.src.rpm
gnome-directory-thumbnailer.x86_64: W: no-manual-page-for-binary gnome-directory-thumbnailer
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gnome-directory-thumbnailer
gnome-directory-thumbnailer.x86_64: W: no-manual-page-for-binary gnome-directory-thumbnailer
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
gnome-directory-thumbnailer (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgnome-desktop-3.so.8()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
gnome-directory-thumbnailer:
    gnome-directory-thumbnailer
    gnome-directory-thumbnailer(x86-64)



Source checksums
----------------
http://download.gnome.org/sources/gnome-directory-thumbnailer/0.1/gnome-directory-thumbnailer-0.1.0.tar.xz :
  CHECKSUM(SHA256) this package     : 3e1308d953e5129e419c63f3ae06569d022a466f984066e28718bff359381824
  CHECKSUM(SHA256) upstream package : 3e1308d953e5129e419c63f3ae06569d022a466f984066e28718bff359381824



Once the following point fixed, I will approve your package:
* add the --disable-silent-rules option to %configure, to make gcc calls more "verbose" and check CFLAGS
Comment 4 Yanko Kaneti 2013-10-23 09:15:07 EDT
0.1.0-3
- Add upstream patches for standard directory icon overlay
- Add --disable-silent-rules

Spec URL: http://declera.com/~yaneti/gnome-directory-thumbnailer/gnome-directory-thumbnailer.spec
SRPM URL: http://declera.com/~yaneti/gnome-directory-thumbnailer/gnome-directory-thumbnailer-0.1.0-3.fc21.src.rpm

The longer description from the wiki just doesn't add anything of substance to the description so I've decided to leave it as is.
The added patches sufficiently change the behavior of the program so best be included now. You might want to rerun your review thing if you wish...
Comment 5 Mohamed El Morabity 2013-10-25 06:23:37 EDT
I'm OK with the patches, I understand the need to include them after testing your package. It's better having a way to distinguish folders from files in Nautilus, when both have thumbnails.
I won't post once again a complete review for this update, since its results are the same than in #2.

As a result, this package is APPROVED.
Comment 6 Yanko Kaneti 2013-10-25 07:10:54 EDT
Thanks. The package is in its infancy so just rawhide for now.


New Package SCM Request
=======================
Package Name: gnome-directory-thumbnailer
Short Description: Thumbnailer for directories based on some heuristics
Owners: yaneti
Branches: 
InitialCC:
Comment 7 Gwyn Ciesla 2013-10-25 07:57:13 EDT
Git done (by process-git-requests).
Comment 8 Yanko Kaneti 2013-10-25 10:00:57 EDT
Imported and built

Note You need to log in before you can comment on or make changes to this bug.